Package org.opensaml.saml.common.messaging.context

# Class SAMLProtocolContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.SAMLProtocolContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SAMLProtocolContext extends BaseContext
Subcontext that carries information about the ongoing SAML protocol.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`protocol`
The SAML protocol in use.

## Constructor Summary

Constructors
Constructor
Description
`SAMLProtocolContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getProtocol()`
Gets the SAML protocol in use.
`void`
`setProtocol(String samlProtocol)`
Sets the SAML protocol in use.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### protocol

@Nullable @NotEmpty private String protocol
The SAML protocol in use.

## Constructor Details

### SAMLProtocolContext

public SAMLProtocolContext()

## Method Details

### getProtocol

@Nullable @NotEmpty public String getProtocol()
Gets the SAML protocol in use.

Returns:
  SAML protocol in use, may be null

### setProtocol

public void setProtocol(@Nullable String samlProtocol)
Sets the SAML protocol in use.

Parameters:
  `samlProtocol` - SAML protocol in use